Main > Internet > HTTP >

cgi-postin 1.19

cgi-postin 1.19

Sponsored Links

cgi-postin 1.19 Ranking & Summary

RankingClick at the star to rank
Ranking Level
User Review: 0 (0 times)
File size: 0.006 MB
Platform: Any Platform
License: GPL (GNU General Public License)
Price:
Downloads: 1068
Date added: 2006-11-20
Publisher: Chip Rosenthal

cgi-postin 1.19 description

cgi-postin utility processes data generated from a World-Wide Web form. cgi-postin is a standalone processor that may be run easily from sh, perl, or Tcl scripts.

Important Note: I recommend this tool only when implementing CGIs as shell scripts. For other languages, there are more modern and suitable tools for the task of CGI processing. For CGI processing in perl, I recommend the bundled CGI.pm module. For C, there are a number of packages available to do the task.

SYNTAX

cgi-postin [ -pTt ] [ -v name ]

The cgi-postin utility processes data generated from a World-Wide Web form. It is a standalone processor that may be run easily from sh, perl, or tcl scripts.

By default, cgi-postin retrieves the form data and emits a short sh(1) script. If this script is evaluated, the shell will create a set of variables, one per form ele­ment. The variables will be named after the form element names, and they will be initialized to the associated form element values.

If, for instance, a simple form has two fields called ``name and ``address, cgi-postin will emit the sh(1) commands to create variables called ``name and ``address, and each variable will be initialized to the value given in the form. This can be done by simply say­ing:

eval "`cgi-postin`" || exit 1

If an error occurs, cgi-postin emits a complete HTTP docu­ment (including a ``Content-type: header), and termi­nates with a non-zero exit status.

The following options are supporeted.

-p The variable assignments will use perl(1) syntax.
Recommended usage is something similar to:

eval `cgi-postin -p`;
exit 1 if $? != 0;

-T The variable assignments will use tcl(1) syntax.
Recommended usage is something similar to:

eval [exec cgi-postin -T]

-t Selects ``terse diagnostics mode. When an error
occurs, a typical Unix error message is emitted
rather than an HTTP document.

-v name
This option almost always should be specified. It
is an option only for historical reasons. It is
explained below.

When -p (perl mode) or -T (Tcl mode) are specified, then the -t option creates an associative array rather than individual (scaler) variables for each form element. The array has the specified name, and the data are stored one form element per array element.

The following table illustrates how this naming scheme works. It shows the variable name that would be associ­ated with a form element called ``query for all the var­ious command line invocations.

center ; lf2 lf2 l l . command variable name

cgi-postin $query cgi-postin -v CGI $CGI_query

cgi-postin -p $query cgi-postin -p -v
CGI $CGI{query}

cgi-postin -T $query cgi-postin -T -v CGI $CGI(query)

cgi-postin 1.19 Screenshot

Advertisements

cgi-postin 1.19 Keywords

Bookmark cgi-postin 1.19

Hyperlink code:
Link for forum:

cgi-postin 1.19 Copyright

WareSeeker periodically updates pricing and software information of cgi-postin 1.19 full version from the publisher, so some information may be slightly out-of-date. You should confirm all information before relying on it. Software piracy is theft, Using crack, password, serial numbers, registration codes, key generators is illegal and prevent future development of cgi-postin 1.19 Edition. Download links are directly from our publisher sites, torrent files or links from rapidshare.com, yousendit.com or megaupload.com are not allowed

Allok Video Splitter 2.2.0 Review:

Name (Required)
Email(Required)
Captcha
Featured Software

Want to place your software product here?
Please contact us for consideration.

Contact WareSeeker.com
Related Software
WWW::Form is a module for handling the world-wide-web form process. Free Download
BugStat project allows to run regular (i.e. cron based) queries to get more or less detailed bug statistics. Free Download
CGI::FormBuilder is a Perl module to easily generate and process stateful forms. Free Download
Pogo is a Perl interface for GOODS. Free Download
Class::Struct::FIELDS module combine Class::Struct, base and fields. Free Download
phpLogCon is a Web front-end for syslog and other network event data. Free Download
DBD::mSQL / DBD::mysql is a Perl module with mSQL and mysql drivers for the Perl5 Database Interface (DBI). Free Download
GNU Cgicc is an ANSI C++ compliant class library. Free Download